ul.nav.nav-pills.form-wizard-header {
    flex-wrap: nowrap;
}

ul.nav.nav-pills.form-wizard-header .nav-link.active .d-none {
    text-wrap: nowrap;
}

.nav-pills a {
    color: var(--ct-gray-700);
    font-weight: 600;
}

.toggle-checkbox {
    cursor: pointer;
}

.toggle-checkbox.disabled {
    background: #f2f2f2;
}

@media only screen and (max-width: 768px) {
    .toggle-option {
        padding-top: 35px;
    }

    ul.nav.nav-pills.form-wizard-header .nav-link.active .d-none {
        display: block !important;
    }

    .nav.nav-pills.navtab-bg.nav-pills-tab.text-center {
        flex-direction: column;
    }
}


.form-control.is-invalid,
.was-validated .form-control:invalid {
    border-color: var(--ct-danger);
    padding-right: calc(1.5em + .9rem);
    background-image: url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23f1556c'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23f1556c' stroke='none'/%3e%3c/svg%3e);
    background-repeat: no-repeat;
    background-position: right calc(.375em + .225rem) center;
    background-size: calc(.75em + .45rem) calc(.75em + .45rem);
}

.was-validated .form-control:invalid~.invalid-feedback {
    display: block;
}

.disabled-link {
    pointer-events: none;
    cursor: not-allowed;
    opacity: 0.5;
}

.nav-item .nav-link {
    cursor: default;
}

.nav-item .nav-link.active {
    cursor: default;
}


.process-option.disabled .form-check-input {
    pointer-events: none;
}

.tab-process.disabled {
    opacity: 0.5;
    pointer-events: all;
    cursor: pointer;
}

.color_preview {
    aspect-ratio: 10/1;
}

.overview_process,
.overview_process_details {
    display: none;
}

.nav-steps {
    list-style: none;
    padding: 0;
}

.nav-step {
    border-radius: var(--ct-card-border-radius);
    padding: 10px 15px;
    margin: 15px 0px;
    opacity: 0.6;
    transition: all ease 0.3s;
}

.step-content {
    display: none;
}

.step-content.active {
    display: block;
}

.step-icon {
    font-size: 1rem;
    background-color: rgba(102, 88, 221, .1);
    height: 40px;
    display: inline-block;
    width: 40px;
    line-height: 40px;
    border-radius: 50%;
    text-align: center;
}

.step-name {

    font-size: 1rem;
    color: var(--ct-menu-item-color);
}

.nav-step.completed {
    opacity: 1;
}

.nav-step.completed .step-icon {
    background-color: rgb(56, 168, 34);
    color: #fff !important;

}

.nav-step.completed .step-name {
    color: var(--ct-heading-color, inherit) !important;
}

.nav-step.current {
    background-color: rgb(245, 245, 245);
    opacity: 1;
}

.nav-step.current .step-icon {
    background-color: #6658dd;
    color: #fff !important;

}

.nav-step.current .step-name {
    color: var(--ct-heading-color, inherit) !important;
}

ul.action-buttons {
    list-style: none;
    padding: 0;
    margin: 0;
}

ul.action-buttons li {
    display: inline-block;
    padding: 0px 5px;
}

.toggle-option {
    position: relative;
    padding: 15px 20px;
    cursor: pointer;
    transition: all ease 0.3s;
    min-height: 100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex-wrap: nowrap;
}

.toggle-option:hover {
    background-color: rgba(102, 88, 221, .1);
}

.toggle-option.selected {
    background-color: rgba(102, 88, 221, .1);
    border-color: #6658dd !important;
}

.toggle-option.disabled {
    background: #efefef;
    cursor: no-drop;
}

.toggle-option.selected p {
    color: #6658dd !important;
}

.toggle-option i {
    text-align: center;
    font-size: 1rem;
    margin-bottom: 5px;
}

.toggle-option p {
    text-align: center;
    margin: 0;
}

.toggle-option p.option-name {
    color: var(--ct-heading-color, inherit) !important;
}

.toggle-option.selected p,
.toggle-option.selected i {
    color: #6658dd !important;
}

.toggle-option.selected p.option-name {
    font-weight: bold;
}

.toggle-option input {
    position: absolute;
    top: 10px;
    left: 10px;
    margin: 0;
}

.step-title-box {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}

.switch_ask {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
    column-gap: 25px;
}

.info-button {
    position: absolute;
    top: 10px;
    right: 10px;
    padding: 0;
}

.step-overview {
    color: #6658dd;
}

.overview_footer {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    align-content: center;
}

.tasklist {
    min-height: 40px;
    margin-bottom: 25px;
    display: inline-block;
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    column-gap: 10px;
}

.tasklist li {
    background-color: var(--ct-secondary-bg);
    border: 1px solid var(--ct-gray-300);
    padding: 20px;
    margin-bottom: 15px;
    border-radius: 3px;
    -webkit-box-shadow: var(--ct-box-shadow);
    box-shadow: var(--ct-box-shadow);
    width: 100%;
}

.tasklist li:last-of-type {
    margin-bottom: 15px;
}

.menu .menu-item .menu-link>.menu-text {
    white-space: normal;
}

body.authentication-bg {
    background-color: #414141;
    background-size: cover;
    background-position: center;
}
.bg-pattern{
    background-image: none; 
    background-size: cover;
}

table.dataTable tbody tr > .dtfc-fixed-start, table.dataTable tbody tr > .dtfc-fixed-end {
    z-index: 1;
    background-color: var(--ct-secondary-bg) !important;
}
table.dataTable thead tr > .dtfc-fixed-start, table.dataTable thead tr > .dtfc-fixed-end, table.dataTable tfoot tr > .dtfc-fixed-start, table.dataTable tfoot tr > .dtfc-fixed-end {
    top: 0;
    bottom: 0;
    z-index: 3;
    background-color: var(--ct-secondary-bg) !important;
}

div.dt-container .dt-paging .dt-paging-button.disabled, div.dt-container .dt-paging .dt-paging-button.disabled:hover, div.dt-container .dt-paging .dt-paging-button.disabled:active{
    color: var(--ct-table-color) !important;
}

table.dataTable th, table.dataTable td { white-space: nowrap; }
.dt-container.dt-empty-footer { overflow-x: hidden; }
#fleet_list_wrapper .table-responsive { overflow: visible; } 
.dt-search{
    text-align: right;
}

.carousel_tool {
    position: absolute;
    background: rgba(var(--ct-secondary-bg-rgb), 0.9);
    left: 0;
    right: 0;
    top: 0;
    text-align: right;
    z-index: 2;
}